package com.xxl.job.admin.core.thread;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.xxl.job.admin.core.conf.XxlJobAdminConfig;
import com.xxl.job.admin.core.model.XxlJobLogReport;
import com.xxl.job.admin.core.thread.JobLogReportHelper;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;

class null implements Runnable {
  public void run() {
    long lastCleanLogTime = 0L;
    while (!JobLogReportHelper.access$000(JobLogReportHelper.this)) {
      try {
        for (int i = 0; i < 3; i++) {
          Calendar itemDay = Calendar.getInstance();
          itemDay.add(5, -i);
          itemDay.set(11, 0);
          itemDay.set(12, 0);
          itemDay.set(13, 0);
          itemDay.set(14, 0);
          Date todayFrom = itemDay.getTime();
          itemDay.set(11, 23);
          itemDay.set(12, 59);
          itemDay.set(13, 59);
          itemDay.set(14, 999);
          Date todayTo = itemDay.getTime();
          XxlJobLogReport xxlJobLogReport = new XxlJobLogReport();
          xxlJobLogReport.setTriggerDay(todayFrom);
          xxlJobLogReport.setRunningCount(0);
          xxlJobLogReport.setSucCount(0);
          xxlJobLogReport.setFailCount(0);
          Map<String, Object> triggerCountMap = XxlJobAdminConfig.getAdminConfig().getXxlJobLogDao().findLogReport(todayFrom, todayTo);
          if (triggerCountMap != null && triggerCountMap.size() > 0) {
            int triggerDayCount = triggerCountMap.containsKey("triggerDayCount") ? Integer.valueOf(String.valueOf(triggerCountMap.get("triggerDayCount"))).intValue() : 0;
            int triggerDayCountRunning = triggerCountMap.containsKey("triggerDayCountRunning") ? Integer.valueOf(String.valueOf(triggerCountMap.get("triggerDayCountRunning"))).intValue() : 0;
            int triggerDayCountSuc = triggerCountMap.containsKey("triggerDayCountSuc") ? Integer.valueOf(String.valueOf(triggerCountMap.get("triggerDayCountSuc"))).intValue() : 0;
            int triggerDayCountFail = triggerDayCount - triggerDayCountRunning - triggerDayCountSuc;
            xxlJobLogReport.setRunningCount(triggerDayCountRunning);
            xxlJobLogReport.setSucCount(triggerDayCountSuc);
            xxlJobLogReport.setFailCount(triggerDayCountFail);
          } 
          int ret = XxlJobAdminConfig.getAdminConfig().getXxlJobLogReportDao().update(xxlJobLogReport);
          if (ret < 1)
            XxlJobAdminConfig.getAdminConfig().getXxlJobLogReportDao().save(xxlJobLogReport); 
        } 
      } catch (Throwable e) {
        if (!JobLogReportHelper.access$000(JobLogReportHelper.this))
          JobLogReportHelper.access$100().error(">>>>>>>>>>> xxl-job, job log report thread error:{}", e); 
      } 
      if (XxlJobAdminConfig.getAdminConfig().getLogretentiondays() > 0 && 
        System.currentTimeMillis() - lastCleanLogTime > 86400000L) {
        Calendar expiredDay = Calendar.getInstance();
        expiredDay.add(5, -1 * XxlJobAdminConfig.getAdminConfig().getLogretentiondays());
        expiredDay.set(11, 0);
        expiredDay.set(12, 0);
        expiredDay.set(13, 0);
        expiredDay.set(14, 0);
        Date clearBeforeTime = expiredDay.getTime();
        List<Long> logIds = null;
        do {
          logIds = XxlJobAdminConfig.getAdminConfig().getXxlJobLogDao().findClearLogIds(0, 0, clearBeforeTime, 0, 1000);
          if (logIds == null || logIds.size() <= 0)
            continue; 
          XxlJobAdminConfig.getAdminConfig().getXxlJobLogDao().clearLog(logIds);
        } while (logIds != null && logIds.size() > 0);
        lastCleanLogTime = System.currentTimeMillis();
      } 
      try {
        TimeUnit.MINUTES.sleep(1L);
      } catch (Throwable e) {
        if (!JobLogReportHelper.access$000(JobLogReportHelper.this))
          JobLogReportHelper.access$100().error(e.getMessage(), e); 
      } 
    } 
    JobLogReportHelper.access$100().info(">>>>>>>>>>> xxl-job, job log report thread stop");
  }
}
